Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Data
Class UserData

    java.lang.Object
      Data.UserData

public class UserData
extends java.lang.Object

Author:
  student This class is being used for getting and setting user information.

Constructor Summary
`UserData()` This is the constructor for UserData.java
`UserData(java.lang.String fName, java.lang.String lName, java.lang.String email, java.sql.Timestamp outFrom, java.sql.Timestamp outTo)` This is the constructor for UserData.java with parameters

Method Summary
`java.lang.String` | `getContactNumber()` This method is being used to get the contact number of the user.
`java.lang.String` | `getEmailAddress()` This method is being used to get email address of the user.
`java.lang.String` | `getFName()` This method is being used to get first name of the user.
`java.lang.String` | `getInOut()` This method is being used to get the availability of the user.
`java.lang.String` | `getLName()` This method is being used to get the last name of the user.
`java.lang.String` | `getLoginId()` This method is being used to get the login ID of the user.
`java.lang.String` | `getMobileNumber()` This method is being used to get the mobile number of the user.
`int` | `getNcbId()` This method is being used to get the Ncb ID of the user.
`java.sql.Timestamp` | `getOutFrom()` This method is being used to get the time the user is out from .
`java.sql.Timestamp` | `getOutTo()` This method is being used to get the time the user is out untill.
`java.lang.String` | `getPassword()` This method is being used to get the password of the user.
`java.lang.String` | `getVerifier()` This method is being used to get the password verifier of the user.
`void` | `setContactNumber(java.lang.String contactNumber)` This method is being used to set the contact number of the user
`void` | `setEmailAddress(java.lang.String emailAddress)` This method is being used to set the email address of the user
`void` | `setFName(java.lang.String fName)` This method is being used to set the Firstname of the user
`void` | `setLName(java.lang.String lName)` This method is being used to set the Lastname of the user
`void` | `setLoginId(java.lang.String loginId)` This method is being used to set the Login Id of the user
`void` | `setMobileNumber(java.lang.String mobileNumber)` This method is being used to set the Mobile number of the user
`void` | `setNcbId(int ncbId)` This method is being used to set the Ncb Id of the user
`void` | `setOutFrom(java.sql.Timestamp outFrom)` This method is being used to set the time the user is out from.
`void` | `setOutTo(java.sql.Timestamp outTo)` This method is being used to set the time the user is out untill
`void` | `setPassword(java.lang.String password)` This method is being used to set the Password of the user
`void` | `setVerifier(java.lang.String verifier)` This method is being used to set the password Verifier of the user

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserData

    public UserData()

  This is the constructor for UserData.java

### UserData

    public UserData(java.lang.String fName,
                    java.lang.String lName,
                    java.lang.String email,
                    java.sql.Timestamp outFrom,
                    java.sql.Timestamp outTo)

  This is the constructor for UserData.java with parameters

Method Detail

### getLoginId

    public java.lang.String getLoginId()

  This method is being used to get the login ID of the user.

  Returns:
    String login Id of the user.

### setLoginId

    public void setLoginId(java.lang.String loginId)

  This method is being used to set the Login Id of the user

  Returns:
    void

### getNcbId

    public int getNcbId()

  This method is being used to get the Ncb ID of the user.

  Returns:
    int Ncb Id of the user.

### setNcbId

    public void setNcbId(int ncbId)

  This method is being used to set the Ncb Id of the user

  Returns:
    void

### getContactNumber

    public java.lang.String getContactNumber()

  This method is being used to get the contact number of the user.

  Returns:
    String contact number of the user.

### setContactNumber

    public void setContactNumber(java.lang.String contactNumber)

  This method is being used to set the contact number of the user

  Returns:
    void

### getMobileNumber

    public java.lang.String getMobileNumber()

  This method is being used to get the mobile number of the user.

  Returns:
    String Mobile number of the user.

### setMobileNumber

    public void setMobileNumber(java.lang.String mobileNumber)

  This method is being used to set the Mobile number of the user

  Returns:
    void

### getEmailAddress

    public java.lang.String getEmailAddress()

  This method is being used to get email address of the user.

  Returns:
    String Email Address of the user.

### setEmailAddress

    public void setEmailAddress(java.lang.String emailAddress)

  This method is being used to set the email address of the user

  Returns:
    void

### getPassword

    public java.lang.String getPassword()

  This method is being used to get the password of the user.

  Returns:
    String Password of the user.

### setPassword

    public void setPassword(java.lang.String password)

  This method is being used to set the Password of the user

  Returns:
    void

### getVerifier

    public java.lang.String getVerifier()

  This method is being used to get the password verifier of the user.

  Returns:
    String Password Verifier of the user.

### setVerifier

    public void setVerifier(java.lang.String verifier)

  This method is being used to set the password Verifier of the user

  Returns:
    void

### getFName

    public java.lang.String getFName()

  This method is being used to get first name of the user.

  Returns:
    String First name of the user.

### setFName

    public void setFName(java.lang.String fName)

  This method is being used to set the Firstname of the user

  Returns:
    void

### getLName

    public java.lang.String getLName()

  This method is being used to get the last name of the user.

  Returns:
    String Lastname of the user.

### setLName

    public void setLName(java.lang.String lName)

  This method is being used to set the Lastname of the user

  Returns:
    void

### getOutFrom

    public java.sql.Timestamp getOutFrom()

  This method is being used to get the time the user is out from .

  Returns:
    time Time the user is out from.

### setOutFrom

    public void setOutFrom(java.sql.Timestamp outFrom)

  This method is being used to set the time the user is out from.

  Returns:
    void

### getOutTo

    public java.sql.Timestamp getOutTo()

  This method is being used to get the time the user is out untill.

  Returns:
    time Time user is out untill.

### setOutTo

    public void setOutTo(java.sql.Timestamp outTo)

  This method is being used to set the time the user is out untill

  Returns:
    void

### getInOut

    public java.lang.String getInOut()

  This method is being used to get the availability of the user.

  Returns:
    String Cehcks if the user is In or Out.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD